#include <bits/stdc++.h>
using namespace std;
long long n,m;
int main(){
    cin>>n>>m;
    if(n==1 or m==1){
        long long c=max(n,m);
        cout<<c<<endl;
    }
    else{
        cout<<n*2+2*(m-2)+(((n-2)*(m-2))/2)<<endl;
    }
    return 0;
}